Bug 42191 - Installer crashes during dependency check
Installer crashes during dependency check
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-24 15:17 EDT by anders engle
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-15 00:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda dump (35.24 KB, text/plain)
2001-05-24 15:18 EDT, anders engle
no flags Details
output from 'rpm -qa' -- looks ok though, no complaints from rpm and so forth. (9.62 KB, text/plain)
2001-05-24 17:57 EDT, anders engle
no flags Details
Anaaconda dump file. (10.27 KB, text/plain)
2001-07-22 13:34 EDT, David Hampton
no flags Details
Sorted output of rpm -qa on my system. (13.63 KB, text/plain)
2001-07-22 13:36 EDT, David Hampton
no flags Details

  None (edit)
Description anders engle 2001-05-24 15:17:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0b; Windows 98; Win 9x 4.90)

Description of problem:
When trying to perform a upgrade from a 6.x system to 7.1 the installer 
crashes during the check for installed rpm's dependencies. The installer 
crashes at the same point in graphic/text/expert mode

How reproducible:
Always

Steps to Reproduce:
1.run install program and select "upgrade current installation"
2.
3.
	

Additional info:
I first suspected faulty cd copies, but the same thing happens when 
installing from hd and the iso images checks out according to MD5
Comment 1 anders engle 2001-05-24 15:18:15 EDT
Created attachment 19510 [details]
anaconda dump
Comment 2 Brent Fox 2001-05-24 17:44:45 EDT
It looks like something could be messed up with the RPM database on the
installed system.  Can you boot into your system and attach the output of 'rpm -qa'?
Comment 3 anders engle 2001-05-24 17:57:37 EDT
Created attachment 19556 [details]
output from 'rpm -qa' -- looks ok though, no complaints from rpm and so forth.
Comment 4 Brent Fox 2001-05-31 13:48:14 EDT
I don't know what the problem is.  I haven't seen any other reports like this. 
It looks like it's having some problem with licq, but I don't know what's
causing the problem.

By looking at the code from todo.py:

                        try:
                            h = self.hdList[reqname].h
                        except KeyError:
                            conflicts = 0
                        installed = ("", h[rpm.RPMTAG_VERSION],
                                     h [rpm.RPMTAG_RELEASE])
                        if rpm.labelCompare (installed, needed) >= 0:
                            conflicts = 0

The problem is that if the "try" fails, we try to reference "h" after the
except, and "h" is invalid.
Comment 5 David Hampton 2001-07-22 13:32:33 EDT
I'm seeing a crash in the same spot when installing from CD.  I've attached my
anaconda dump as well.
Comment 6 David Hampton 2001-07-22 13:34:19 EDT
Created attachment 24507 [details]
Anaaconda dump file.
Comment 7 David Hampton 2001-07-22 13:36:15 EDT
Created attachment 24508 [details]
Sorted output of rpm -qa on my system.
Comment 8 Brent Fox 2001-08-15 00:51:04 EDT
anders, just to be sure, can you boot into your installed system and run 'rpm
--rebuilddb' and then try the upgrade?
Comment 9 Brent Fox 2001-08-27 12:08:22 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.